@echo off
REM This file should only be run at the request of MQSeries Everyplace support personnel.
REM It gets version information about the MQe environment and sends it to a text file.
REM
REM Parameters
REM   %1  java environment name (see JavaEnv.bat file for details )

@SETLOCAL


if NOT EXIST .\MQeDiagnostics.bat (
echo Please run this command from the same folder as MQeDiagnostics.bat.
goto end
)


echo This command should only be run at the request of
echo MQSeries Everyplace support personnel.
echo. 
echo Please ensure that javaenv.bat is correctly
echo set up before continuing, as this command uses and
echo expects the same parameters as javaenv.bat.
echo.
pause

rem Set the name of the output file.
rem Remove the old file, if it existed.
set OUTPUTFILE=.\MQeDiagnostics.out
if EXIST %OUTPUTFILE% del %OUTPUTFILE%


rem Set up the Java Environment.
call javaEnv %1


rem Add the MQeDiagnostics jar to the classpath that JavaEnv set up.
set CLASSPATH=..\..\Jars\MQeDiagnostics.jar;%CLASSPATH%;


rem Some introductory info.
echo.
echo Please wait a minute while the tool does its stuff.
echo MQeDiagnostics started %DATE% %TIME% > %OUTPUTFILE%
echo Path = %PATH% >> %OUTPUTFILE%
echo Classpath = %CLASSPATH% >> %OUTPUTFILE%
echo About to run executable '%JavaCmd%' from the following folder: >> %OUTPUTFILE%
cd >> %OUTPUTFILE%
echo. >> %OUTPUTFILE%


rem Invoke the tool
%JavaCmd% com.ibm.mqe.support.MQeDiagnostics .\MQeDiagnostics.properties 1>> %OUTPUTFILE% 2>&1


rem Did it work?
if ERRORLEVEL 1 (
echo ...The tool did not complete successfully. Check javaenv.bat and retry.
echo The return code from the tool was %ERRORLEVEL%! >> %OUTPUTFILE%
) else (
echo ...The tool completed successfully.
)


rem Check that we got some information.
echo.
if NOT EXIST %OUTPUTFILE% (
echo Output could not be produced. Check that %OUTPUTFILE% does not already exist.
) else (
echo Send %OUTPUTFILE% to MQSeries Everyplace support personnel. 
)

:end

@ENDLOCAL
