@REM Run the example private MQe server
@REM
@REM This batch file invokes the java class that provides a server environment
@REM for a queue manager to run in. The server allows multiple other queue
@REM managers (Client or server) to concurrently connect to it. The server
@REM starts a secure or private queue manager.
@REM
@REM Parameters are required for configuring the server and starting a
@REM queue manager. The examples shipped with MQSeries Everyplace use ini
@REM files to hold the parameters. By default .\ExamplesMQeServer.ini startup
@REM parameters file is used by this batch file.
@REM
@REM Note: Before the server can be successfully started, the queue manager
@REM that is to run in the server must have been created.
@REM
@REM Parameters
@REM   %1  java environment name (see JavaEnv.bat file for details)
@REM   %2  PIN
@REM   %3  Keyring password
@REM   %4  Certificate request PIN
@REM   NOTE: PIN and password values should be changed from there defaults if
@REM   running in anything other than a development environment.

   @SETLOCAL

   call JavaEnv %1

   %JavaCmd%  examples.queuemanager.MQePrivateServer .\MQePrivateServer.ini 12345678 It_is_a_secret 12345678
_
   @ENDLOCAL
