package examples.midp.exampleapp.textapp;


/*----------------------------------------------------------------------------*/

/*                    MQSeries Everyplace for Multiplatforms                  */

/*                                                                            */

/* Licensed Materials - Property of IBM                                       */

/*                                                                            */

/* 5765-E63                                                                   */

/*                                                                            */

/* (C) Copyright IBM Corp. 1999                                               */

/*----------------------------------------------------------------------------*/


import com.ibm.mqe.mqemqmessage.MQeMQMsgObject;
import com.ibm.mqe.MQe;



/**
 * The text app controller is a simple interface designed to allow the model (and view)
 * to interact with the controller.
 *
 * <p>The controller will be required to:
 *
 *   <br>get a name for the queue manager
 *   <br>get input from the user
 *   <br>display status information
 */
public interface AppController {

    public static short  version[] = { 2, 0, 0, 10 };  // MQe version

    /**
     *   Returns a name for the queue manager
     *
     * @return String - the name of the queue manager
     */
    abstract public String getQMname();


    /**
     *   Displays a status message to the user
     *
     * @param msg The message to be displayed
     * @return void
     */
    abstract public void displayStatus(String msg);
}
