package examples.midp.exampleapp.textapp;



/*----------------------------------------------------------------------------*/

/*                    MQSeries Everyplace for Multiplatforms                  */

/*                                                                            */

/* Licensed Materials - Property of IBM                                       */

/*                                                                            */

/* 5765-E63                                                                   */

/*                                                                            */

/* (C) Copyright IBM Corp. 1999                                               */

/*----------------------------------------------------------------------------*/


/**
 * This class acts as the controller for the gateway server.
 *
 * <p>Very little is required for the gateway server as it is a simple 'if you
 * reveive a message, display it' design. Dealing with user input is the
 * main part of the code. This is done in processInput().
 */
public class GatewayServer extends Client {

    public static short  version[] = { 2, 0, 0, 10 };  // MQe version
  

    /**
     *   Used to run the controller from the commandline.
     *
     * @param String[] - arguements
     * @return void
     */
    public static void main(String[] args) {
        GatewayServer controller = new GatewayServer();

        try {
            controller.initialize();
            controller.run();
        } catch (Exception e) {
            controller.displayStatus("App failed");
            e.printStackTrace();
        }
    }


    /**
     * @see Client#getNewModel()
     */
    protected AppModel getNewModel() {
        return new AppModelGatewayServer();
    }


    /**
     * @see Client#getQMname()
     */
    public String getQMname() {
        return AppModel.DEFAULT_GATEWAY_QM;
    }


    /**
     *   Available commands are 'help', 'status' and 'quit'.
     * @see Client#processInput(String)
     */
    public void processInput(String input) {
        if (input.equals("help")) {
            displayHelp();
        } else if (input.equals("status")) {
            displayStatus(getModel().statusReport());
        } else if (input.equals("quit")) {
            try {
                stop();
            } catch (Exception e) {}
            System.exit(0);
        } else {
            displayStatus("Unknown command '" + input + "' use 'help' for a list of available commands");
        }
        processInput(getInput());
    }


    /**
     * @see Client#displayHelp()
     */
    public void displayHelp() {
        displayStatus("-=Commands=-");
        displayStatus("help : Displays this dialog");
        displayStatus("status: Displays a status report");
        displayStatus("quit : Quits the app");
    }
}
