package examples.midp.exampleapp.textapp;



/*----------------------------------------------------------------------------*/

/*                    MQSeries Everyplace for Multiplatforms                  */

/*                                                                            */

/* Licensed Materials - Property of IBM                                       */

/*                                                                            */

/* 5765-E63                                                                   */

/*                                                                            */

/* (C) Copyright IBM Corp. 1999                                               */

/*----------------------------------------------------------------------------*/


/**
 * This class controls the registration server.
 * Since the model handles all the work and user input is minimal, there is very
 * little for this class to do.
 */
public class RegistrationServer extends Client {

    public static short  version[] = { 2, 0, 0, 10 };  // MQe version


    /**
     *   This function is called when the class is run from the commandline.
     *   It creates and starts a new controller.
     */
    public static void main(String[] args) {
        RegistrationServer controller = new RegistrationServer();

        try {
            controller.initialize();
            controller.run();
        } catch (Exception e) {
            controller.displayStatus("App failed");
            e.printStackTrace();
        }
    }


    /**
     * @see Client#getNewModel()
     */
    protected AppModel getNewModel() {
        return new AppModelRegistrationServer();
    }


    /**
     * @see Client#getQMname()
     */
    public String getQMname() {
        return AppModel.DEFAULT_REGISTRATION_QM;
    }


    /**
     * @see Client#processInput(String)
     */
    public void processInput(String input) {
        if (input.equals("help")) {
            displayHelp();
        } else if (input.equals("status")) {
            displayStatus(getModel().statusReport());
        } else if (input.equals("quit")) {
            try {
                stop();
            } catch (Exception e) {}
            System.exit(0);
        } else {
            displayStatus("Unknown command '" + input + "' use 'help' for a list of available commands");
        }
        processInput(getInput());
    }


    /**
     * @see Client#displayHelp()
     */
    public void displayHelp() {
        displayStatus("-=Commands=-");
        displayStatus("help : Displays this dialog");
        displayStatus("status: Displays a status report");
        displayStatus("quit : Quits the app");
    }
}
