// Version 1.2 mqe_java/source/examples/mqbridge/administration/programming/AdminHelperMQInterface.java, MQeExamples, la200, la200-L030324.1

/*------------------------------------------------------------------------------*
 *                    WebSphere MQ Everyplace for Multiplatforms                *
 *                                                                              *
 * Licensed Materials - Property of IBM                                         *
 *                                                                              *
 * 5765-E63                                                                     *
 *                                                                              *
 * (C) Copyright IBM Corp. 2002                                                 *
 *------------------------------------------------------------------------------*/
package examples.mqbridge.administration.programming;


/**
 * Classes implementing this provide helper methods to connect WMQ and WMQe queue managers.
 */
public interface AdminHelperMQInterface {
    public static short[] version = { 2, 0, 0, 10 }; 	

    /**
     * Connects the default MQ queue manager on this machine to the MQe queue manager which 
     * is currently running.
     * 
     * @return A string holding the status report of what the outcome of the work was.
     */
    public void connectMQeAndMQ();
	
    /**
     * Activates the MQ helper 
     * 
     * @param reporter The object to which debug and error information is sent.
     * @param dispatcher An object used to dispatch administration messages.
     */
    public void activate(Reporter reporter, AdminMessageDispatcher dispatcher
    );

}
