// Version 1.2 mqe_java/source/examples/mqbridge/administration/programming/AdminHelperQueueManager.java, MQeExamples, la200, la200-L030324.1

/*------------------------------------------------------------------------------*
 *                    WebSphere MQ Everyplace for Multiplatforms                *
 *                                                                              *
 * Licensed Materials - Property of IBM                                         *
 *                                                                              *
 * 5765-E63                                                                     *
 *                                                                              *
 * (C) Copyright IBM Corp. 2002                                                 *
 *------------------------------------------------------------------------------*/

package examples.mqbridge.administration.programming;


import java.util.*;
import com.ibm.mqe.*;
import com.ibm.mqe.mqbridge.*;
import com.ibm.mqe.administration.*;


/**
 *
 */
public class AdminHelperQueueManager {
    public static short[] version = { 2, 0, 0, 10 }; 	
    Reporter reporter;
    AdminMessageDispatcher dispatcher;
	
    /**
     * Builds an object able to administer bridge queue resource.
     * 
     * @param reporter The object to which debug and error information is sent.
     * @param dispatcher An object used to dispatch administration messages.
     */
    public AdminHelperQueueManager(Reporter reporter, AdminMessageDispatcher dispatcher
    ) {
        this.reporter = reporter;
        this.dispatcher = dispatcher;
    }
		
    /**
     * Queries all facets of the bridges resource.
     */		
    public MQeFields queryAll(String targetMQeQueueManagerName) throws Exception {
        MQeQueueManagerAdminMsg msg = new MQeQueueManagerAdminMsg();

        msg.inquireAll(new MQeFields());
        MQeFields queryResults = dispatcher.sendWaitMessage(reporter, targetMQeQueueManagerName, msg);

        return queryResults;												  													  	
    }	
	
    /**
     * Indicates whether the specified queue exists or not.
     */
    public boolean doesQueueExist(String mqeQueueManagerName, String queueQMgrName, String queueQName 
    ) throws Exception {
        // Query all the queue data from the queue manager.								   	
        MQeFields queueManagerData = queryAll(mqeQueueManagerName);
        MQeFields[] queueList = queueManagerData.getFieldsArray(MQeQueueManagerAdminMsg.QMgr_Queues);
	
        boolean found = false;

        for (int i = 0; ((i < queueList.length) && (!found)); i += 1) {
            MQeFields queueData = queueList[i];
            String foundQName = queueData.getAscii(MQeQueueManagerAdminMsg.QMgr_QueueName);
            String foundQQMgrName = queueData.getAscii(MQeQueueManagerAdminMsg.QMgr_QueueQMgrName);

            if (foundQName.equals(queueQName) & foundQQMgrName.equals(queueQMgrName)) {
                found = true;
            }
        }
        return found;
    }		
}
