
// Version 1.2 mqe_java/source/examples/mqbridge/administration/programming/AdminMessageDispatcher.java, MQeExamples, la200, la200-L030324.1

/*------------------------------------------------------------------------------*
 *                    WebSphere MQ Everyplace for Multiplatforms                *
 *                                                                              *
 * Licensed Materials - Property of IBM                                         *
 *                                                                              *
 * 5765-E63                                                                     *
 *                                                                              *
 * (C) Copyright IBM Corp. 2002                                                 *
 *------------------------------------------------------------------------------*/
package examples.mqbridge.administration.programming;


import com.ibm.mqe.*;


/**
 * Classes implementing this service provide a mechanism to dispatch admin messages,
 * and gather results of the reply.
 */ 
public interface AdminMessageDispatcher {
    public static short[] version = { 2, 0, 0, 10 };  	

    /**
     * To put the specified message to the Admin Q on the specified MQe queue manager
     * and get a response.
     *
     * @param targetQMgrName
     *               The name of the queue manager to which the message will be sent.
     *
     * @param msg    The message we will send to the target queue manager, and await a response.
     *
     * @return The MQeFields response that the reply message contains. The output fields contained
     * in the admin reply message. 
     * 
     * @exception Exception fails it the reply indicates the Admin message
     *             caused a failure, or if there was a failure posting the message.
     */
    public abstract MQeFields sendWaitMessage(Reporter reporter, String targetQMgrName, MQeAdminMsg  msg
    ) throws Exception;  
    public abstract boolean send(Reporter reporter, String targetQueueManagerName, String targetQueueName, MQeMsgObject msg 
    );
								   
    public abstract MQeMsgObject get(Reporter reporter, String targetQueueManagerName, String targetQueueName 
    );    										     										   
}
