
// Version 1.2 mqe_java/source/examples/os4690/TraceController.java, MQeExamples, la200, la200-L030324.1

/*-----------------------------------------------------------------------------*
 *                    WebSphere MQ Everyplace for Multiplatforms               *
 *                                                                             *
 * Licensed Materials - Property of IBM                                        *
 *                                                                             *
 * 5765-E63                                                                    *
 *                                                                             *
 * (C) Copyright IBM Corp. 2002                                                *
 *-----------------------------------------------------------------------------*/
 
package examples.os4690;


import com.ibm.mqe.*;


/**
 * Supplies common trace handler on/off controll to other classes within this package.
 */
public class TraceController {
    public static short[] version = { 2, 0, 0, 10 }; 
    MQeTrace myMQeTrace;
	
    /**
     * Turns MQe trace on.
     */
    public void traceOn() throws Exception {
		
        // Allocate a trace instance, so our handler isn't garbage collected when its' on.
        myMQeTrace = new MQeTrace();		
		
        // Allocate a trace handler
        // This one puts trace output to stdout by default.
        MQeTraceHandler handler = (MQeTraceHandler) new com.ibm.mqe.trace.MQeTraceToReadable();
		
        // Set this handler as the one MQe uses.
        MQeTrace.setHandler(handler);
		
        // Set the filter so we collect those pieces of trace we are interrested in.
        // In this case, it't the MQe API calls, errors, warnings, and exceptions.
        MQeTrace.setFilter(MQeTrace.GROUP_API | MQeTrace.GROUP_ERROR 
            | MQeTrace.GROUP_WARNING | MQeTrace.GROUP_EXCEPTION 		
        );						  						  
    }	
	
    /**
     * Turns MQe trace off.
     */
    public void traceOff() throws Exception {
        // Stop collecting trace information.
        MQeTrace.setFilter(MQeTrace.GROUP_MASK_NONE);
		
        // Remove the trace handler.
        MQeTrace.setHandler(null);
    }	

}
